{% extends 'base.html.twig' %}

{% block title %}Campaign{% endblock %}

{% block body %}

    <div class="parallax-container valign-wrapper">
        <div class="section no-pad-bot">
            <div class="container">
                <h1 class="header center white-text light">{{ campaign.title }}</h1>
                <div class="row center">
                    <h5 class="header col s12 light">- Organisée par : Nom de l'auteur -</h5>
                </div>
            </div>
        </div>
        <div class="parallax"><img src="/assets/images/8.jpg" alt="{{ campaign.title }}"></div>
    </div>

    <div class="container">
        <div class="section">
            <div class="row">
                <div class="col s12 center">
                    <h4>Participez en quelques secondes</h4>
                </div>
            </div>
            <!--   Form Section   -->
            <div class="card">
                <div class="card-content">
                    <div class="row">
                    
                        <form action="{{ path('payment_charge') }}" method="post" id="payment-form">
                            <h5 class="center">Votre identité</h5>
                            <input type='hidden' name='campaign_id' value='{{ campaign.id }}'>
                            <div class="input-field col s12 l6">
                                <input id="email" type="email" name='email' class="validate" required>
                                <label for="email">Votre Email</label>
                            </div>
                            <div class="input-field col s12 l6">
                                <input id="name" type="text" name='name' class="validate" required>
                                <label for="name">Votre Name</label>
                            </div>
                            <div class="input-field col s12 l6">
                                <input id="mount" type="number" name='amount' class="validate" value="{{ amount_participant|default(NULL) }}" required>
                                <label for="mount">Votre participation</label>
                            </div>
                            <div class="clearfix"></div>
                            <p>
                                <label>
                                    <input type="checkbox" />
                                    <span>Masquer mon identité auprès des autres participants</span>
                                </label>
                            </p>
                            <p>
                                <label>
                                    <input type="checkbox" />
                                    <span>Masquer le montant de ma participation auprès des autres participants</span>
                                </label>
                            </p>
                            <div class="clearfix"></div>
                            <h5 class="center">Paiement</h5>
                            <div class="form-row">
                                <label for="card-element">
                                Credit or debit card
                                </label>
                                <div id="card-element">
                                <!-- A Stripe Element will be inserted here. -->
                                </div>

                                <!-- Used to display Element errors. -->
                                <div id="card-errors" role="alert"></div>
                            </div>

                            {# <div class="input-field col s12">
                                <input id="card_name" type="text" class="validate">
                                <label for="card_name">Nom sur la carte</label>
                            </div>
                            <div class="input-field col s12">
                                <input id="card_number" type="text" class="validate">
                                <label for="card_number">Numéro de la carte</label>
                            </div>
                            <div class="input-field col s12 l8">
                                <input id="card_expiration_date" type="date" class="validate">
                                <label for="card_expiration_date">Date d'expiration</label>
                            </div>
                            <div class="input-field col s12 l4">
                                <input id="card_cvv" type="text" class="validate">
                                <label for="card_cvv">CVV</label>
                            </div> #}
                            <div class="input-field col s12 l6">
                                <a href="{{ path('campaign_show', {'id' : campaign.id }) }}" class="btn btn-large waves-effect waves-light grey col s12">Annuler</a>
                            </div>
                            <div class="input-field col s12 l6">
                                <button class="btn btn-large waves-effect waves-light pink lighten-1 col s12" type="submit" name="action">
                                    Payer
                                    <i class="material-icons right">euro_symbol</i>
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="section">
            <div class="row">
                <div class="col s12 center">
                    <h4>Comment ça marche ?</h4>
                </div>
            </div>
            <!--   Icon Section   -->
            <div class="row">
                <div class="col s12 m4">
                    <div class="icon-block center">
                        <div class="btn-large btn-floating white"><i class="material-icons teal-text">create</i></div>
                        <h5 class="center">Créez</h5>
                        <p class="light">et personnalisez votre campagne commune en 30 secondes !</p>
                    </div>
                </div>

                <div class="col s12 m4">
                    <div class="icon-block center">
                        <div class="btn-large btn-floating white"><i class="material-icons teal-text">wc</i></div>
                        <h5 class="center">Invitez</h5>
                        <p class="light">vos amis en utilisant les réseaux sociaux, mail, etc.</p>
                    </div>
                </div>

                <div class="col s12 m4">
                    <div class="icon-block center">
                        <div class="btn-large btn-floating white"><i class="material-icons teal-text">shopping_cart</i></div>
                        <h5 class="center">Collectez</h5>
                        <p class="light">et utilisez l'argent comme bon vous semble avec vos amis.</p>
                    </div>
                </div>
            </div>

        </div>
    </div>


{% endblock %}

{% block javascripts %}
    
    <script>
        // Create a Stripe client.
        var stripe = Stripe('pk_test_kXYFInN3tcNIDxnIhDKVKxDv');

        // Create an instance of Elements.
        var elements = stripe.elements();

        // Custom styling can be passed to options when creating an Element.
        // (Note that this demo uses a wider set of styles than the guide below.)
        var style = {
        base: {
            color: '#32325d',
            lineHeight: '18px',
            fontFamily: '"Helvetica Neue", Helvetica, sans-serif',
            fontSmoothing: 'antialiased',
            fontSize: '16px',
            '::placeholder': {
            color: '#aab7c4'
            }
        },
        invalid: {
            color: '#fa755a',
            iconColor: '#fa755a'
        }
        };

        // Create an instance of the card Element.
        var card = elements.create('card', {style: style});

        // Add an instance of the card Element into the `card-element` <div>.
        card.mount('#card-element');

        // Handle real-time validation errors from the card Element.
        card.addEventListener('change', function(event) {
        var displayError = document.getElementById('card-errors');
        if (event.error) {
            displayError.textContent = event.error.message;
        } else {
            displayError.textContent = '';
        }
        });

        // Handle form submission.
        var form = document.getElementById('payment-form');
        form.addEventListener('submit', function(event) {
            event.preventDefault();

            stripe.createToken(card).then(function(result) {
                if (result.error) {
                // Inform the user if there was an error.
                var errorElement = document.getElementById('card-errors');
                errorElement.textContent = result.error.message;
                } else {
                // Send the token to your server.
                stripeTokenHandler(result.token);
                }
            });
        });

        function stripeTokenHandler(token) {
        // Insert the token ID into the form so it gets submitted to the server
        var form = document.getElementById('payment-form');
        var hiddenInput = document.createElement('input');
        hiddenInput.setAttribute('type', 'hidden');
        hiddenInput.setAttribute('name', 'stripeToken');
        hiddenInput.setAttribute('value', token.id);
        form.appendChild(hiddenInput);

        // Submit the form
        form.submit();
        }
    </script>
{% endblock %}